Path (Gradle API 8.11.1)

Package org.gradle.plugins.ide.idea.model

## Class Path

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.Path

- Direct Known Subclasses:
    `FilePath`

      public class Path
      extends java.lang.Object

  Represents a path in a format as used often in ipr and iml files.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Path​(java.lang.String url)` |
    `Path​(java.lang.String url, java.lang.String canonicalUrl, java.lang.String relPath)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getCanonicalUrl()` | Canonical url.
    `java.lang.String` | `getRelPath()` | The relative path of the path.
    `java.lang.String` | `getUrl()` | The url of the path.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Path

          public Path​(java.lang.String url)

    - #### Path

          public Path​(java.lang.String url,
                      java.lang.String canonicalUrl,
                      java.lang.String relPath)

  - ### Method Detail

    - #### getUrl

          public java.lang.String getUrl()

      The url of the path. Must not be null.

    - #### getRelPath

          public java.lang.String getRelPath()

      The relative path of the path. Must not be null.

    - #### getCanonicalUrl

          public java.lang.String getCanonicalUrl()

      Canonical url.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`